--[[
from theblackappendage.com

ECB - Elf Camp Bridge
OCB - Orc Camp Bridge
Legion Tree - One of the trees south of cross roads - not added as location is too vague
Miles Mountain - Hill near TR Rez
TR HS - Tirith Rhaw Hotspot nearest to Elf Camp
Warg Rock - Tall rock down the hill of GV
]]--


	-- Ettenmoors
	if tmpAnnotations==nil then tmpAnnotations={} end

	while #tmpAnnotations>0 do
		table.remove(tmpAnnotations,1)
	end

	tmpAnnotations[#tmpAnnotations+1]={1,-17.4,-16.7, 5, 1, 1, "",0,0,0,0}; -- ECB (STAB)
	tmpAnnotations[#tmpAnnotations+1]={1,-16.5,-18.2, 5, 1, 2, "",0,0,0,0}; -- OCB (WTAB)
	tmpAnnotations[#tmpAnnotations+1]={1,-15.1, -15.0, 5, 1, 3, "",0,0,0,0}; -- Miles Mountain (aka Candy Mountain)
	tmpAnnotations[#tmpAnnotations+1]={1,-17.8, -15.7, 5, 1, 4, "",0,0,0,0}; -- TR HS
	tmpAnnotations[#tmpAnnotations+1]={1,-19.5, -14.3, 5, 1, 5, "",0,0,0,0}; -- Warg Rock

	if tmpMapString==nil then tmpMapString={} end

	if tmpMapString[1]==nil then
		tmpMapString[1]={};
	end

	while #tmpMapString[1]>0 do
		table.remove(tmpMapString[1],1)
	end

	tmpMapString[1][1]="ECB: Elf Camp Bridge.";
	tmpMapString[1][2]="OCB: Orc Camp Bridge.";
	tmpMapString[1][3]="Miles Mountain: Miles Mountain is the hill rising north of the TR Rez circle.";
	tmpMapString[1][4]="TR HS: Tirith Rhaw Hot Spot - this was once a control point for access to the Delving but the control points were replaced by Outposts. Although the banner and guards are no longer present, many players still refer to the well know location by this old name.";
	tmpMapString[1][5]="Warg Rock: Warg rock is a tall rock down the hill from GV.";

	if tmpMapString[2]==nil then
		tmpMapString[2]={};
	end

	while #tmpMapString[2]>0 do
		table.remove(tmpMapString[2],1)
	end

	if tmpMapString[3]==nil then
		tmpMapString[3]={};
	end

	while #tmpMapString[3]>0 do
		table.remove(tmpMapString[3],1)
	end

	GaranStuff.MoorMap.PatchDataSave( Turbine.DataScope.Account, "MM_MapAnnotations_1_Firefoot", tmpAnnotations);
	GaranStuff.MoorMap.PatchDataSave( Turbine.DataScope.Account, "MM_MapStrings_1_Firefoot", tmpMapString);
