-- the only point of this plugin is to unload and then reload the MoorMap plugin so that the plugin can save it's current state (including CurrentMapID)
-- and then reload, effectively allowing it to bypass the ridiculous 15 second delay on loading settings, in this case map data.

import "GaranStuff.MoorMap.Class";
import "Turbine";
import "Turbine.UI";

Loader=class(Turbine.UI.Window);
function Loader:Constructor()
	local tmpIndex;
	Turbine.UI.Window.Constructor(self);
	self:SetSize(0,0);
	self.Loaded=false;
	self.Update=function()
		if (Plugins["MoorMapLoader"] ~= nil) and (not self.Loaded) then
			self.Loaded=true;
			self:SetWantsUpdates(false);
			Turbine.PluginManager.UnloadScriptState("MoorMap");
			Turbine.PluginManager.LoadPlugin("MoorMap");
		end		
	end
	self:SetWantsUpdates(true);
end
loaderWindow=Loader();
